<?php
namespace Opentalent\OtTemplating\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;

/**
 * Organization
 */
class Organization extends AbstractEntity
{
    /**
     * id
     *
     * @var string
     */
    protected $id = '';

    /**
     * type
     *
     * @var string
     */
    protected $type = '';

    /**
     * subDomain
     *
     * @var string
     */
    protected $subDomain = '';

    /**
     * name
     *
     * @var string
     */
    protected $name = '';

    /**
     * slug
     *
     * @var string
     */
    protected $slug = '';

    /**
     * principalType
     *
     * @var string
     */
    protected $principalType = '';

    /**
     * description
     *
     * @var string
     */
    protected $description = '';

    /**
     * categories
     *
     * @var int
     */
    protected $categories = 0;

    /**
     * addressCity
     *
     * @var string
     */
    protected $addressCity = '';

    /**
     * postalCode
     *
     * @var string
     */
    protected $postalCode = '';

    /**
     * streetAdress
     *
     * @var string
     */
    protected $streetAdress = '';

    /**
     * latitude
     *
     * @var float
     */
    protected $latitude = 0.0;

    /**
     * longitude
     *
     * @var float
     */
    protected $longitude = 0.0;

    /**
     * country
     *
     * @var string
     */
    protected $country = '';

    /**
     * logo
     *
     * @var string
     */
    protected $logo = '';

    /**
     * parentId
     *
     * @var int
     */
    protected $parentId = 0;

    /**
     * parentName
     *
     * @var string
     */
    protected $parentName = '';

    /**
     * parentSubdomain
     *
     * @var string
     */
    protected $parentSubdomain = '';

    /**
     * Returns the id
     *
     * @return string $id
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Sets the id
     *
     * @param string $id
     * @return void
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * Returns the type
     *
     * @return string $type
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * Sets the type
     *
     * @param string $type
     * @return void
     */
    public function setType($type)
    {
        $this->type = $type;
    }

    /**
     * Returns the subDomain
     *
     * @return string $subDomain
     */
    public function getSubDomain()
    {
        return $this->subDomain;
    }

    /**
     * Sets the subDomain
     *
     * @param string $subDomain
     * @return void
     */
    public function setSubDomain($subDomain)
    {
        $this->subDomain = $subDomain;
    }

    /**
     * Returns the name
     *
     * @return string $name
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * Sets the name
     *
     * @param string $name
     * @return void
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * Returns the slug
     *
     * @return string $slug
     */
    public function getSlug()
    {
        return $this->slug;
    }

    /**
     * Sets the slug
     *
     * @param string $slug
     * @return void
     */
    public function setSlug($slug)
    {
        $this->slug = $slug;
    }

    /**
     * Returns the principalType
     *
     * @return string $principalType
     */
    public function getPrincipalType()
    {
        return $this->principalType;
    }

    /**
     * Sets the principalType
     *
     * @param string $principalType
     * @return void
     */
    public function setPrincipalType($principalType)
    {
        $this->principalType = $principalType;
    }

    /**
     * Returns the description
     *
     * @return string $description
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Sets the description
     *
     * @param string $description
     * @return void
     */
    public function setDescription($description)
    {
        $this->description = $description;
    }

    /**
     * Returns the categories
     *
     * @return int $categories
     */
    public function getCategories()
    {
        return $this->categories;
    }

    /**
     * Sets the categories
     *
     * @param int $categories
     * @return void
     */
    public function setCategories($categories)
    {
        $this->categories = $categories;
    }

    /**
     * Returns the addressCity
     *
     * @return string $addressCity
     */
    public function getAddressCity()
    {
        return $this->addressCity;
    }

    /**
     * Sets the addressCity
     *
     * @param string $addressCity
     * @return void
     */
    public function setAddressCity($addressCity)
    {
        $this->addressCity = $addressCity;
    }

    /**
     * Returns the postalCode
     *
     * @return string $postalCode
     */
    public function getPostalCode()
    {
        return $this->postalCode;
    }

    /**
     * Sets the postalCode
     *
     * @param string $postalCode
     * @return void
     */
    public function setPostalCode($postalCode)
    {
        $this->postalCode = $postalCode;
    }

    /**
     * Returns the streetAdress
     *
     * @return string $streetAdress
     */
    public function getStreetAdress()
    {
        return $this->streetAdress;
    }

    /**
     * Sets the streetAdress
     *
     * @param string $streetAdress
     * @return void
     */
    public function setStreetAdress($streetAdress)
    {
        $this->streetAdress = $streetAdress;
    }

    /**
     * Returns the latitude
     *
     * @return float $latitude
     */
    public function getLatitude()
    {
        return $this->latitude;
    }

    /**
     * Sets the latitude
     *
     * @param float $latitude
     * @return void
     */
    public function setLatitude($latitude)
    {
        $this->latitude = $latitude;
    }

    /**
     * Returns the longitude
     *
     * @return float $longitude
     */
    public function getLongitude()
    {
        return $this->longitude;
    }

    /**
     * Sets the longitude
     *
     * @param float $longitude
     * @return void
     */
    public function setLongitude($longitude)
    {
        $this->longitude = $longitude;
    }

    /**
     * Returns the country
     *
     * @return string $country
     */
    public function getCountry()
    {
        return $this->country;
    }

    /**
     * Sets the country
     *
     * @param string $country
     * @return void
     */
    public function setCountry($country)
    {
        $this->country = $country;
    }

    /**
     * Returns the logo
     *
     * @return string $logo
     */
    public function getLogo()
    {
        return $this->logo;
    }

    /**
     * Sets the logo
     *
     * @param string $logo
     * @return void
     */
    public function setLogo($logo)
    {
        $this->logo = $logo;
    }

    /**
     * Returns the parentId
     *
     * @return string $parentId
     */
    public function getParentId()
    {
        return $this->parentId;
    }

    /**
     * Sets the parentName
     *
     * @param string $parentId
     * @return void
     */
    public function setParentId($parentId)
    {
        $this->parentId = $parentId;
    }

    /**
     * Returns the parentName
     *
     * @return string $parentName
     */
    public function getParentName()
    {
        return $this->parentName;
    }

    /**
     * Sets the parentName
     *
     * @param string $parentName
     * @return void
     */
    public function setParentName($parentName)
    {
        $this->parentName = $parentName;
    }

    /**
     * Returns the parentSubdomain
     *
     * @return string $parentSubdomain
     */
    public function getParentSubdomain()
    {
        return $this->parentSubdomain;
    }

    /**
     * Sets the parentSubdomain
     *
     * @param string $parentSubdomain
     * @return void
     */
    public function setParentSubdomain($parentSubdomain)
    {
        $this->parentSubdomain = $parentSubdomain;
    }
}
